


%[X, Y, Z] = csvimport('vectors.csv', 'columns', {'X', 'Y', 'Z'});
% Where 'x', 'y' ... are the ascii column-lables on each of the 3 columns (or any other number).
% The numerical results of the requested columns are returnd as [x, y z]

clear all;close all;
set(0,'defaultAxesFontSize',12);
clc

 ID=['08B8';'998D';'A69C']; %On or after Sep1
 CID=['EC';'CC';'WC']; %convert to chamber


%if isfile('./data.mat') %not used for now
%load './data.mat'
%else

%Tst=32; %Start Time in 1 m intervals;The experiment starts here at 22.2 degrees
%Tend=1400; %Tend/60 = 26:29 [hr] since the first sample is 11:47.

%{ multiline comment
%I did the final GOVee download on Aug23 @ 7:26 AM; This should be the final correct result
%Updated with exact date and time
 Exp=['Download from Aug20@11:46-Aug21@13:45:\n'];
 GOV1='H5074_08B8_export202108211345.csv'
 GOV2='H5074_848E_export202108211345.csv' %GOV2 seems to have an 8 sample delay re GOV1
Time=['1345';'1345']; %These numbers should be pulled from GOV1(26:29), GOV2(26:29)
Tst=1; %Start Time in 1 m intervals;The experiment starts here at 22.2 degrees
Tlo=0;Thi=400; %Graphics only
%}

%{Download on Sep 1 created for the ME470.F21 demo to the four new students
 Exp=['Download from Sep1@08:19-Aug21@13:45:\n'];
 GOV1='H5074_08B8_export202108312000.csv';  %In EC
 GOV2='H5074_998D_export202108312000.csv';  %In CC
 GOV3='H5074_A69C_export202108312000.csv';  %In WC; %First time GOV3 is used
Time=['2000';'2000';'2000']; %These numbers should be pulled from GOV1(26:29), GOV2(26:29)
Tst=1; %Start Time 1:30
Tend=390; %Tend = 8PM; 6.5 [hr] = 3630 [m]
Tend=400; %Tend = 8PM; 6.5 [hr] = 3630 [m]
%} %Sep_01_Tec_Tcc.eps}

%{Download on Sep 1 created for the ME470.F21 demo to the four new students
 Exp=['Download from Sep1@08:19-Aug21@13:45:\n'];
 GOV1='H5074_08B8_export202116312000.csv';  %In EC
 GOV2='H5074_998D_export202108312000.csv';  %In CC
 GOV3='H5074_A69C_export202108312000.csv';  %In WC; %First time GOV3 is used
Time=['2000';'2000';'2000']; %These numbers should be pulled from GOV1(26:29), GOV2(26:29)
Tst=1; %Start Time 1:30
Tend=390; %Tend = 8PM; 6.5 [hr] = 3630 [m]
Tend=400; %Tend = 8PM; 6.5 [hr] = 3630 [m]
%}

%{
%%Download on Sep 10 created for the ME470.F21 demo to the four new students
 Exp=['Download from Sep10@15:00-Sep10@1631:\n'];
 GOV1='H5074_08B8_export_1631290140000.csv';  %EC from 16:31 29:01 40,000
 GOV2='H5074_998D_export202108312000.csv';  %In CC
 GOV3='H5074_A69C_export202108312000.csv';  %In WC; %First time GOV3 is used
Time=['2000';'2000';'2000']; %These numbers should be pulled from GOV1(26:29), GOV2(26:29)
Tst=1; %Start Time 16:31
Tend=0; %Tend = 8PM; 6.5 [hr] = 3630 [m]
Tend=160; %Tend = 8PM; 6.5 [hr] = 3630 [m]
%Sep_01_Tec_Tcc.eps}
%}

%Hard-code the filename to get it working:
%svn file to be read in:
%{
DATE='Aug 31 @ 13:29 to Aug 31 @ 20:00';
File1=['./CSV/H5074_08B8_export202108312000.csv'] %EC
File2=['./CSV/H5074_998D_export202108312000.csv'] %CC
File3=['./CSV/H5074_A69C_export202108312000.csv'] %WC
%}

%{
DATE='Sep 16-17; Open CC??';
File1=['./CSV/H5074_08B8_export_1631864700000.csv'];
File2=['./CSV/H5074_998D_export_1631864700000.csv'];
File3=['./CSV/H5074_A69C_export_1631864700000.csv'];
fprintf(['File #1:\n',File1,'\n'])
disp(File1);
%}

%{
DATE='Sep 16 @ 17:50; (???)';
File1=['./CSV/H5074_08B8_export_1632061200000.csv'];
File2=['./CSV/H5074_998D_export_1632061200000.csv'];
File3=['./CSV/H5074_A69C_export_1632061200000.csv'];
fprintf(['File #1:\n',File1,'\n'])
%}

%{
%Maybe interesting. Look it up
DATE='Sep 16 @ 17:50; (???)';
File1=['./CSV/H5074_08B8_export_1632153240000.csv'];
File2=['./CSV/H5074_998D_export_1632153120000.csv'];
File3=['./CSV/H5074_A69C_export_1632153180000.csv'];
%}

%{
 %Oct 2-3: 1 [L] evaporation experiment ; still running @ 3 [mm]
DATE='Allen: Oct 2-3; 3[mm]' %: ? [L] evaporation experiment EC & CC closed; no chill; power and air on
File1=['./CSV/H5074_08B8_export_1632153240000.csv']; %Sep 16-18 (4 days)
File2=['./CSV/H5074_998D_export_202110031141.csv'];  %Oct 3, 2021 @ 11:41 CC
File3=['./CSV/H5074_A69C_export_202110031142.csv'];  %Oct 3, 2021 @ 11:42 WC
Tst=1; %Start Oct 2 @ Time 18:17
Tend=0; %Tend = Oct3 @ 11:27
%}

%{
 %Oct 2-3: 1 [L] evaporation experiment ; still running @ 3 [mm]
DATE='Allen: Oct 2-3; 3[mm]' %: ? [L] evaporation experiment EC & CC closed; no chill; power and air on
 File1=['./CSV/H5074_08B8_export_1632153240000.csv']; %Sep 16-20 (Old 4 day data)
%File1=['./CSV/H5074_08B8_export202108031623.csv'];   %Oct 4, 2021 @ 16:43 08B8 update; strange dates
File2=['./CSV/H5074_998D_export_202110031141.csv'];  %Oct 3, 2021 @ 14:20 CC
File3=['./CSV/H5074_A69C_export_202110031142.csv'];  %Oct 3, 2021 @ 14:20 CC
Tst=1; %Start Oct 2 @ Time 18:17
Tend=0; %Tend = Oct3 @ 11:27
%}

%{
DATE='Allen: Oct 4-5' %: ? [L] evaporation experiment EC & CC closed; no chill; power and air on
% EC GOVee not working?
File1=['./CSV/H5074_08B8_export_202110051400.csv']; %Oct 4/5 Oct 5 @ 14:00
File2=['./CSV/H5074_998D_export_202110051400.csv']; %Oct  4/5
File3=['./CSV/H5074_A69C_export_202110051400.csv']; %Oct  4/5
%}

% {
DATE='Oct 5-7 @ 15:13' %: ? [L] evaporation experiment EC & CC closed; no chill; power and air on
File1=['./CSV/H5074_08B8_export_202110071338.csv']; %Oct 5/7 @ 13:38
File2=['./CSV/H5074_998D_export_202110071336.csv']; %Oct 5/7 @ 13:36
File3=['./CSV/H5074_A69C_export_202110071337.csv']; %Oct 5/7 @ 13:37
DATE='Oct 5-7 @ 14:16' %: 500 [mL] evaporation experiment EC & CC closed; no chill; power and air on

%Same experiment as Oct 5-7; shorter recording
	% H5074_08B8_export_202110061513.csv']; %Oct 5/6 @ 15:13
	% H5074_998D_export_202110061514.csv']; %Oct 5/6
	% H5074_A69C_export_202110061512.csv']; %Oct 5/6
%DATE='Oct 5-6 @ 15:13' %: 500 [mL] evaporation experiment EC & CC closed; no chill; power and air on

FigName=strrep(DATE,' ','_');
% }


%{
% Exp same as Oct5-7 but this time introduce 12C water 60 mins into exp (once water is @ 40C)
DATE='Oct 7-8 @ 14:??' %350+OFF[mL] evaporation experiment EC & CC closed; power+air on; 30-60 min chill;
FigName=strrep(DATE,' ','_');
File1=['./CSV/ ']; %Oct 7-8 @ 14:??
File2=['./CSV/ ']; %Oct 7-8 @ 14:??
File3=['./CSV/ ']; %Oct 7-8 @ 14:??
%}

%GOVee EC
fprintf('\n'); %all this for a newline?
%Read [Temp,Humid] in 1 min intervals
[T1,H1] = csvimport( File1, 'columns', {' Temperature_Celsius','Relative_Humidity'} );

%Build filename for GOVee 2
fprintf(['File #1:\n',File2,'\n'])
disp(File2);

fprintf(['File #2:\n',File2,'\n'])

[T2,H2] = csvimport( File2, 'columns', {' Temperature_Celsius','Relative_Humidity'} );

%svn file to be read in:
fprintf(['File #1:\n',File3,'\n'])
disp(File3);

[T3,H3] = csvimport( File3, 'columns', {' Temperature_Celsius','Relative_Humidity'} );

Tend=length(T2);

clc
fprintf(['File #1: ',File1,'\n']);
%disp(File1);
fprintf(['File #2: ',File2,'\n']);
%disp(File2);
fprintf(['File #3: ',File3,'\n']);
%disp(File3);

fig(1);
subplot(211)

X1=(1:length(T1))/(24.0*60.0); %Days
plot(X1,T1,'k-','LineWidth',2);
hold on;

X2=(1:length(T2))/(24.0*60.0);
plot(X2,T2,'r--','LineWidth',2);

X3=(1:length(T3))/(24.0*60.0);
plot(X3,T3,'b-.','LineWidth',2);
grid on;
ylim([20,45]);
Xlo=0;
Xhi=1; %Number of days for Exp rounded up
xlim([0 2.0]);
%xlim([Xlo,Xhi]); %According to an analysis, sample 1510 [m[ is the last sample (See notebook p. 114)
hold off

title(['Black: ', CID(1,:),'; ', 'Blue: ',CID(2,:),'; Red: ',CID(3,:)]);
ylabel('Temperature');
xlabel('Time [Days]')

print(gcf,'-depsc2','Sep_17') %save eps figure

%Plot Humidity
%Convert days to mins
subplot(212)
plot(60*24*X1,H1,'k-','LineWidth',2);
hold on;
plot(60*24*X2,H2,'r--','LineWidth',2);
plot(60*24*X3,H3,'b-.','LineWidth',2);
grid on;
%xlim([0,length(T2)]);
%xlim([Tlo,Thi]);
%xlim([Xlo,Xhi]); %According to an analysis, sample 1510 [m[ is the last sample (See notebook p. 114)
ylim([70,101]);
xlim([0 60*24*2.0]);
hold off

%title(['Black: ', CID(1,:),'; ', 'Blue: ',CID(2,:)]);
%title(['Black: ', CID(1,:),'; ', 'Blue: ',CID(2,:),'; Red: ',CID(3,:)]);
title([DATE,';  File: ',File1(25:36)]);
ylabel('Relative Humidity [\%]');
xlabel('Time [min]')
%print(gcf,'-depsc2','Aug_20_Hec_Hcc')
%print(gcf,'-depsc2','Sep_01_Hec_Hcc')
%print(gcf,'-depsc2','Sep_16_Hec_Hcc')
 print(gcf,'-depsc2',FigName)
 print(gcf,'-dpdf',FigName)

%{
%Plot the water height (evaporation) vs time for Sep ??? for 4-day exp
%Data from my notes and cm measure re "OFF"
% Time read off of plot as a guestimate. I need to do better on estimating the exact times
Time  =[0, 821, 2*24*60+5, 4110, 4710]/(24*60); %convert to days
Hmax=3.1; %cm
Height=[3.1,2.8, 2.1, 1.0, 0.7]*100/Hmax; %Normalize to maximum (3.1 [cm]) in %
fig(10);
plot(Time,Height,':s');
hold on;
plot([3.27, 3.75],[22.5, 5],'r:o')
ylim([0,100]);
xlim([0,4]);
grid on;
title('Normalized water height [%] re 5 [L])');
xlabel('time [Hr]');
ylabel('Height [%]')
%}
